Subject: Re: bug#17947: 24.3; ruby-mode sets require-final-newline unconditionally

From: Stefan Monnier <[email-masked]>
Date: Sat, 05 Jul 2014 19:02:05 -0400

>> > One user reported that ruby-mode triggers this warning. Sure enough, in
>> > ruby-mode.el at line 287, I see:
>> >   (set (make-local-variable 'require-final-newline) t)
>> Removed in the `emacs-24' branch.
> Regardless of what this or that mode does, I think it's wrong for
> ethan-wspace to annoy users for having require-final-newline set
> non-nil.

It's his package and he's free to do what he wants with it, I think.
Maybe I'd find it annoying as well, but in any case the setting was
erroneous since there is no justification to ignore the
mode-require-final-newline setting.

        Stefan